Service Desk Practitioners Forum
cancel
Showing results for 
Search instead for 
Did you mean: 

Any info about Supported JRE/JDK Versions??

SOLVED
Go to solution
Highlighted
Marty Brown_1
Regular Collector

Any info about Supported JRE/JDK Versions??

Hi all: I just updated the Java JRE/JDK components on my Service Desk Application Server that is running OVSD 4.5 SP13.

The previous Java version was 1.3.1_03, and I just moved up to 1.5.0_04.

Now, I am finding that my SD Application Service won't stay up. I'm getting a Java Dump file (attached).

Maybe I should have upgraded only to 1.4.2_08 instead of 1.5.0 ...

Does anybody know / can point me to where I can find out what the *supported* versions of Java are that work with SD4.5 SP13, or have experience with upgrading JRE/JDK on ServiceDesk 4.5 App servers?

The only reason I'm doing this is because my munitions folks have determed that there are security vulnerabilities with the version of JAVA that came with the SD4.5 install disks, and they are requiring me to upgrade.

Thoughts / Help?

Thanks All!

~Marty
5 REPLIES
George M. Meneg
Honored Contributor
Solution

Re: Any info about Supported JRE/JDK Versions??

Hello Marty,

For Application Server use version no higher than jdk1.3.1_16.

For the enchaced Web Console use version no higher than j2sdk1.4.2_08. At least I had problems running it using 1.5.0_04

menes fhtagn
Marty Brown_1
Regular Collector

Re: Any info about Supported JRE/JDK Versions??

Your suggestions on the right version to use on the SD APP server did the trick! THANK YOU for the help!

~Marty
Arthur Vandewaa
Esteemed Contributor

Re: Any info about Supported JRE/JDK Versions??

Supported versions:
App-server, agent JRE1.3.x
Service pages JDK1.3.x
Web Console JDK 1.4.x

Tuur
David Borojevic
Frequent Visitor

Re: Any info about Supported JRE/JDK Versions??

Hi Marty,

You might want to look at the vulnerabilities a bit closer (and I should too). But I believe most of the vulnerabilities are only an issue if you are browsing maliciuos web sites or opening malicious java apps, so the risk on an app server is low.

Does anyone know of remote attack potential for the java components on the server, with or without service pages on the same server?.

Obviously vulnerabilities with the java version on the client (where users browse the web etc) is more of a risk, but 1.5.0_02 seems to get along nicely with service desk client (4.5SP11).
Andrej_19
Collector

Re: Any info about Supported JRE/JDK Versions??

Hello,

as Tuur mentioned before:
--------------------------------------
Supported versions:
App-server, agent JRE1.3.x
Service pages JDK1.3.x
Web Console JDK 1.4.
--------------------------------------

Has anything changed on that ? Any other java version supported ?

I've also looked up the document http://openview.hp.com/ecare/getsupportdoc?docid=OV-EN007678
but it's a bit unclear...

Best regards,

Andrej

//Add this to "OnDomLoad" event